Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.features.tricycle13
Class IntronLengthFeature

    java.lang.Object
      calhoun.analysis.crf.AbstractFeatureManager
          calhoun.analysis.crf.features.tricycle13.IntronLengthFeature

All Implemented Interfaces:
  FeatureManager, FeatureManagerNodeExplicitLength, java.io.Serializable

    public class IntronLengthFeature

extends AbstractFeatureManager
implements FeatureManagerNodeExplicitLength

Learns from data an explicit length distribution for introns, and also subtracts out what it would have gotten from just the exponential distribution given by DenseWeightedEdgeFeatures.

See Also:
  Serialized Form

Constructor Summary
`IntronLengthFeature()`

Method Summary
`void` | `evaluateNodeLength(InputSequence seq, int pos, int length, int state, FeatureList result)`
`java.lang.String` | `getFeatureName(int featureIndex)` Returns a human identifiable name for the feature referenced by a given index.
`int` | `getNumFeatures()` Returns the number of features maintained by this `FeatureManager`.
`void` | `train(int startingIndex, ModelManager modelInfo, java.util.List data)` Provides access to the entire training set so that FeatureManager can compute global properties and assign feature indices.

Methods inherited from class calhoun.analysis.crf.AbstractFeatureManager
`getCacheStrategy, getInputComponent, setInputComponent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getCacheStrategy, getInputComponent, setInputComponent`

Constructor Detail

### IntronLengthFeature

    public IntronLengthFeature()

Method Detail

### getFeatureName

    public java.lang.String getFeatureName(int featureIndex)

  Description copied from interface: `FeatureManager`
  Returns a human identifiable name for the feature referenced by a given index. Used for display purposes only.

  Specified by:
    `getFeatureName` in interface `FeatureManager`
  Parameters:
    `featureIndex` - the index of this feature
  Returns:
    the human readable name of this feature

### getNumFeatures

    public int getNumFeatures()

  Description copied from interface: `FeatureManager`
  Returns the number of features maintained by this `FeatureManager`. This number must be fixed after the call to trainFeatures is complete.

  Specified by:
    `getNumFeatures` in interface `FeatureManager`
  Returns:
    number of features managed by this `FeatureManager`

### evaluateNodeLength

    public void evaluateNodeLength(InputSequence seq,
                                   int pos,
                                   int length,
                                   int state,
                                   FeatureList result)

  Specified by:
    `evaluateNodeLength` in interface `FeatureManagerNodeExplicitLength`

### train

    public void train(int startingIndex,
                      ModelManager modelInfo,
                      java.util.List data)

  Description copied from interface: `FeatureManager`
  Provides access to the entire training set so that FeatureManager can compute global properties and assign feature indices. This will be called before any evaluations are requested. If the FeatureManager can have a variable number of features, this must be fixed within this method.

  Specified by:
    `train` in interface `FeatureManager`
  Parameters:
    `startingIndex` - the feature index of the first feature owned by this FeatureManager. Each FeatureManager must use up consecutive indexes, so the last index used will be startingIndex + numFeatures - 1.
    `modelInfo` - the model that contains this feature
    `data` - the full list of training sequences to use to train the feature

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD